Skip to main content
GET
/
consultation
/
query
/
{company_slug}
cURL
curl --request GET \
  --url https://api.hierarch.io/v1/consultation/query/{company_slug}/ \
  --header 'token: <api-key>'
{
  "loop": [
    {
      "id": 123,
      "title": "<string>",
      "schedule": "<string>",
      "status": "<string>",
      "last_updated": "<string>",
      "datetime": "<string>"
    }
  ],
  "current_page": "<string>",
  "max_page": "<string>",
  "start_count": "<string>",
  "end_count": "<string>",
  "max_count": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help-center.hierarch.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

API token provided to your company

Headers

query
string

Search term, blank by default

page
string

Page number, 1 by default

order
string

Data order - newest / oldest

Path Parameters

company_slug
string
required

This is your company url

Response

OK Response

loop
object[]
current_page
string

Current data page

max_page
string

Maximum number of pages

start_count
string

Starting data count

end_count
string

Ending data count

max_count
string

Maximum number of data